#################################################################################################
#
# CREATE RECORDERS
#
# Writen by:  Erol Kalkan
# Last modified:  Sept 2003
#
# Objective: 
#
################################################################################################  
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Nodal Acceleration at each floor
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
recorder Node accelerationEW25.out accel -time -node 125 225 325 425 525 625 725 825 925 1025 1125 1225 1325 1425 1525 1625 1725 1825 1925 2007 2113 2204 2303 2403 -dof 1
recorder Node accelerationEW15.out accel -time -node 115 215 315 415 515 615 715 815 915 1015 1115 1215 1315 1415 1515 1615 1715 1815 1915 2009 2115 2206 2305 2405 -dof 1

recorder Node accelerationNS10.out accel -time -node 110 210 310 410 510 610 710 810 910 1010 1110 1210 1310 1410 1510 1610 1710 1810 1910 1915 1919 2013 2115 2206 2305 2405 -dof 2
recorder Node accelerationNS20.out accel -time -node 120 220 320 420 520 620 720 820 920 1020 1120 1220 1320 1420 1520 1620 1720 1820 1920 1925 1929 2015 2125 2216 2313 2413 -dof 2


################################################################################################  

################################################################################################  
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Displacement dof 1, EW-direction at each floor master joints
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
recorder Node -file Floor_1_Disp_EW.out -node 113 115 -dof 1 disp
recorder Node -file Floor_2_Disp_EW.out -node 213 215 -dof 1 disp
recorder Node -file Floor_3_Disp_EW.out -node 313 315 -dof 1 disp
recorder Node -file Floor_4_Disp_EW.out -node 413  415 -dof 1 disp
recorder Node -file Floor_5_Disp_EW.out -node 513  515 -dof 1 disp
recorder Node -file Floor_6_Disp_EW.out -node 613  615 -dof 1 disp
recorder Node -file Floor_7_Disp_EW.out -node 713  715 -dof 1 disp
recorder Node -file Floor_8_Disp_EW.out -node 813  815 -dof 1 disp
recorder Node -file Floor_9_Disp_EW.out -node 913  915 -dof 1 disp
recorder Node -file Floor_10_Disp_EW.out -node 1013  1015 -dof 1 disp
recorder Node -file Floor_11_Disp_EW.out -node 1113  1115 -dof 1 disp
recorder Node -file Floor_12_Disp_EW.out -node 1213  1215 -dof 1 disp
recorder Node -file Floor_13_Disp_EW.out -node 1313  1315 -dof 1 disp
recorder Node -file Floor_14_Disp_EW.out -node 1413  1415 -dof 1 disp
recorder Node -file Floor_15_Disp_EW.out -node 1513  1515 -dof 1 disp
recorder Node -file Floor_16_Disp_EW.out -node 1613  1615 -dof 1 disp
recorder Node -file Floor_17_Disp_EW.out -node 1713  1715 -dof 1 disp
recorder Node -file Floor_18_Disp_EW.out -node 1813  1815 -dof 1 disp
recorder Node -file Floor_19_Disp_EW.out -node 1913  1915 1923 1925 -dof 1 disp

recorder Node -file Floor_Loft_Disp_EW.out -node 2007 2009 -dof 1 disp; # LOFT

recorder Node -file Floor_Gr_Disp_EW.out -node 2113 2115 -dof 1 disp; # GROUND
recorder Node -file Floor_B1_Disp_EW.out -node 2204 2206 -dof 1 disp; # -1
recorder Node -file Floor_B2_Disp_EW.out -node 2303 2305 -dof 1 disp; # -2
recorder Node -file Floor_B3_Disp_EW.out -node 2403 2405 -dof 1 disp; # -3
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Displacement dof 2, NS-direction at each floor master joints
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
recorder Node -file Floor_1_Disp_NS.out -node 110  120  115  125 -dof 2 disp
recorder Node -file Floor_2_Disp_NS.out -node 210  220  215  225 -dof 2 disp
recorder Node -file Floor_3_Disp_NS.out -node 310  320  315  325 -dof 2 disp
recorder Node -file Floor_4_Disp_NS.out -node 410  420  415  425 -dof 2 disp
recorder Node -file Floor_5_Disp_NS.out -node 510  520  515  525 -dof 2 disp
recorder Node -file Floor_6_Disp_NS.out -node 610  620  615  625 -dof 2 disp
recorder Node -file Floor_7_Disp_NS.out -node 710  720  715  725 -dof 2 disp
recorder Node -file Floor_8_Disp_NS.out -node 810  820  815  825 -dof 2 disp
recorder Node -file Floor_9_Disp_NS.out -node 910  920  915  925 -dof 2 disp
recorder Node -file Floor_10_Disp_NS.out -node 1010  1020   1015    1025 -dof 2 disp
recorder Node -file Floor_11_Disp_NS.out -node 1110  1120   1115    1125 -dof 2 disp
recorder Node -file Floor_12_Disp_NS.out -node 1210  1220   1215    1225 -dof 2 disp
recorder Node -file Floor_13_Disp_NS.out -node 1310  1020   1315    1325 -dof 2 disp
recorder Node -file Floor_14_Disp_NS.out -node 1410  1420   1415    1425 -dof 2 disp
recorder Node -file Floor_15_Disp_NS.out -node 1510  1520   1515    1525 -dof 2 disp
recorder Node -file Floor_16_Disp_NS.out -node 1610  1620   1615    1625 -dof 2 disp
recorder Node -file Floor_17_Disp_NS.out -node 1710  1720   1715    1725 -dof 2 disp
recorder Node -file Floor_18_Disp_NS.out -node 1810  1820   1815    1825 -dof 2 disp
recorder Node -file Floor_19_Disp_NS.out -node 1910  1920   1913 1923 1915 1925 1919 1929 1905 1934 -dof 2 disp

recorder Node -file Floor_Loft_Disp_NS.out -node 2007 2013 2009 2015 -dof 2 disp; # LOFT

recorder Node -file Floor_Gr_Disp_NS.out -node 2115 2125 -dof 2 disp; # GROUND
recorder Node -file Floor_B1_Disp_NS.out -node 2206 2216 -dof 2 disp; # -1
recorder Node -file Floor_B2_Disp_NS.out -node 2305 2313 -dof 2 disp; # -2
recorder Node -file Floor_B3_Disp_NS.out -node 2405 2413 -dof 2 disp; # -3

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Forces in floor column elements
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
recorder Element -file Fl_B3_Cols_Forces.out -ele 10000201 10000202 10000203 10000204 10000205 10000206 10000207 10000208 10000301 10000302  10000303 10000304  10000305  10000306 10000307 10000308 globalForce 
recorder Element -file Fl_B2_Cols_Forces.out -ele 9000201 9000202 9000203 9000204 9000205 9000206 9000207 9000208 9000301 9000302  9000303 9000304  9000305  9000306 9000307 9000308 globalForce 
recorder Element -file Fl_B1_Cols_Forces.out -ele 8000201 8000202 8000203 8000204 8000205 8000206 8000207 8000208 8000301 8000302  8000303 8000304  8000305  8000306 8000307 8000308 globalForce 
recorder Element -file Fl_Ground_Cols_Forces.out -ele 7000201 7000202 7000203 7000204 7000205 7000206 7000207 7000208 7000209 7000210 7000301 7000302  7000303 7000304  7000305  7000306 7000307 7000308 7000309 7000310  globalForce 

recorder Element -file Fl_Loft_Cols_Forces.out -ele 6000101 6000102 6000103 6000104 6000201 6000202 6000203 6000204 6000205 6000206 6000301 6000302 6000303 6000304 6000305 6000306 6000401 6000402 6000403 6000404 6000405  globalForce 

recorder Element -file Fl_1_Cols_Forces.out -ele  100101 100102 100103 100104 100105 100106 100107 100108 100109 100201 100202 100203 100204 100205 100206 100207 100208 100209 100210 100301 100302 100303 100304 100305 100306 100307 100308 100309 100310 100401 100402 100403 100404 100405 100406 100407 100408 100409 globalForce 
recorder Element -file Fl_2_Cols_Forces.out -ele  200101 200102 200103 200104 200105 200106 200107 200108 200109 200201 200202 200203 200204 200205 200206 200207 200208 200209 200210 200301 200302 200303 200304 200305 200306 200307 200308 200309 200310 200401 200402 200403 200404 200405 200406 200407 200408 200409 globalForce 
recorder Element -file Fl_3_Cols_Forces.out -ele  300101 300102 300103 300104 300105 300106 300107 300108 300109 300201 300202 300203 300204 300205 300206 300207 300208 300209 300210 300301 300302 300303 300304 300305 300306 300307 300308 300309 300310 300401 300402 300403 300404 300405 300406 300407 300408 300409 globalForce 
recorder Element -file Fl_4_Cols_Forces.out -ele  400101 400102 400103 400104 400105 400106 400107 400108 400109 400201 400202 400203 400204 400205 400206 400207 400208 400209 400210 400301 400302 400303 400304 400305 400306 400307 400308 400309 400310 400401 400402 400403 400404 400405 400406 400407 400408 400409 globalForce 
recorder Element -file Fl_5_Cols_Forces.out -ele  500101 500102 500103 500104 500105 500106 500107 500108 500109 500201 500202 500203 500204 500205 500206 500207 500208 500209 500210 500301 500302 500303 500304 500305 500306 500307 500308 500309 500310 500401 500402 500403 500404 500405 500406 500407 500408 500409 globalForce 
recorder Element -file Fl_6_Cols_Forces.out -ele  600101 600102 600103 600104 600105 600106 600107 600108 600109 600201 600202 600203 600204 600205 600206 600207 600208 600209 600210 600301 600302 600303 600304 600305 600306 600307 600308 600309 600310 600401 600402 600403 600404 600405 600406 600407 600408 600409 globalForce 
recorder Element -file Fl_7_Cols_Forces.out -ele  700101 700102 700103 700104 700105 700106 700107 700108 700109 700201 700202 700203 700204 700205 700206 700207 700208 700209 700210 700301 700302 700303 700304 700305 700306 700307 700308 700309 700310 700401 700402 700403 700404 700405 700406 700407 700408 700409 globalForce 
recorder Element -file Fl_8_Cols_Forces.out -ele  800101 800102 800103 800104 800105 800106 800107 800108 800109 800201 800202 800203 800204 800205 800206 800207 800208 800209 800210 800301 800302 800303 800304 800305 800306 800307 800308 800309 800310 800401 800402 800403 800404 800405 800406 800407 800408 800409 globalForce 
recorder Element -file Fl_9_Cols_Forces.out -ele  900101 900102 900103 900104 900105 900106 900107 900108 900109 900201 900202 900203 900204 900205 900206 900207 900208 900209 900210 900301 900302 900303 900304 900305 900306 900307 900308 900309 900310 900401 900402 900403 900404 900405 900406 900407 900408 900409 globalForce 
recorder Element -file Fl_10_Cols_Forces.out -ele  1000101 1000102 1000103 1000104 1000105 1000106 1000107 1000108 1000109 1000201 1000202 1000203 1000204 1000205 1000206 1000207 1000208 1000209 1000210 1000301 1000302 1000303 1000304 1000305 1000306 1000307 1000308 1000309 1000310 1000401 1000402 1000403 1000404 1000405 1000406 1000407 1000408 1000409 globalForce
recorder Element -file Fl_11_Cols_Forces.out -ele  1100101 1100102 1100103 1100104 1100105 1100106 1100107 1100108 1100109 1100201 1100202 1100203 1100204 1100205 1100206 1100207 1100208 1100209 1100210 1100301 1100302 1100303 1100304 1100305 1100306 1100307 1100308 1100309 1100310 1100401 1100402 1100403 1100404 1100405 1100406 1100407 1100408 1100409 globalForce 
recorder Element -file Fl_12_Cols_Forces.out -ele  1200101 1200102 1200103 1200104 1200105 1200106 1200107 1200108 1200109 1200201 1200202 1200203 1200204 1200205 1200206 1200207 1200208 1200209 1200210 1200301 1200302 1200303 1200304 1200305 1200306 1200307 1200308 1200309 1200310 1200401 1200402 1200403 1200404 1200405 1200406 1200407 1200408 1200409 globalForce 
recorder Element -file Fl_13_Cols_Forces.out -ele  1300101 1300102 1300103 1300104 1300105 1300106 1300107 1300108 1300109 1300201 1300202 1300203 1300204 1300205 1300206 1300207 1300208 1300209 1300210 1300301 1300302 1300303 1300304 1300305 1300306 1300307 1300308 1300309 1300310 1300401 1300402 1300403 1300404 1300405 1300406 1300407 1300408 1300409 globalForce 
recorder Element -file Fl_14_Cols_Forces.out -ele  1400101 1400102 1400103 1400104 1400105 1400106 1400107 1400108 1400109 1400201 1400202 1400203 1400204 1400205 1400206 1400207 1400208 1400209 1400210 1400301 1400302 1400303 1400304 1400305 1400306 1400307 1400308 1400309 1400310 1400401 1400402 1400403 1400404 1400405 1400406 1400407 1400408 1400409 globalForce 
recorder Element -file Fl_15_Cols_Forces.out -ele  1500101 1500102 1500103 1500104 1500105 1500106 1500107 1500108 1500109 1500201 1500202 1500203 1500204 1500205 1500206 1500207 1500208 1500209 1500210 1500301 1500302 1500303 1500304 1500305 1500306 1500307 1500308 1500309 1500310 1500401 1500402 1500403 1500404 1500405 1500406 1500407 1500408 1500409 globalForce 
recorder Element -file Fl_16_Cols_Forces.out -ele  1600101 1600102 1600103 1600104 1600105 1600106 1600107 1600108 1600109 1600201 1600202 1600203 1600204 1600205 1600206 1600207 1600208 1600209 1600210 1600301 1600302 1600303 1600304 1600305 1600306 1600307 1600308 1600309 1600310 1600401 1600402 1600403 1600404 1600405 1600406 1600407 1600408 1600409 globalForce 
recorder Element -file Fl_17_Cols_Fo+rces.out -ele  1700101 1700102 1700103 1700104 1700105 1700106 1700107 1700108 1700109 1700201 1700202 1700203 1700204 1700205 1700206 1700207 1700208 1700209 1700210 1700301 1700302 1700303 1700304 1700305 1700306 1700307 1700308 1700309 1700310 1700401 1700402 1700403 1700404 1700405 1700406 1700407 1700408 1700409 globalForce 
recorder Element -file Fl_18_Cols_Forces.out -ele  1800101 1800102 1800103 1800104 1800105 1800106 1800107 1800108 1800109 1800201 1800202 1800203 1800204 1800205 1800206 1800207 1800208 1800209 1800210 1800301 1800302 1800303 1800304 1800305 1800306 1800307 1800308 1800309 1800310 1800401 1800402 1800403 1800404 1800405 1800406 1800407 1800408 1800409 globalForce 
recorder Element -file Fl_19_Cols_Forces.out -ele  1900101 1900102 1900103 1900104 1900105 1900106 1900107 1900108 1900109 1900201 1900202 1900203 1900204 1900205 1900206 1900207 1900208 1900209 1900210 1900301 1900302 1900303 1900304 1900305 1900306 1900307 1900308 1900309 1900310 1900401 1900402 1900403 1900404 1900405 1900406 1900407 1900408 1900409 globalForce 
################################################################################################  

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Plastic Deformation at column elements
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

recorder Element -file pl_def_all_cols_B3.out -ele 10000201 10000202 10000203 10000204 10000205 10000206 10000207 10000208 10000301 10000302  10000303 10000304  10000305  10000306 10000307 10000308 plasticDeformation
recorder Element -file pl_def_all_cols_B2.out -ele 9000201 9000202 9000203 9000204 9000205 9000206 9000207 9000208 9000301 9000302  9000303 9000304  9000305  9000306 9000307 9000308 plasticDeformation
recorder Element -file pl_def_all_cols_B1.out -ele 8000201 8000202 8000203 8000204 8000205 8000206 8000207 8000208 8000301 8000302  8000303 8000304  8000305  8000306 8000307 8000308 plasticDeformation 
recorder Element -file pl_def_all_cols_Ground.out -ele 7000201 7000202 7000203 7000204 7000205 7000206 7000207 7000208 7000209 7000210 7000301 7000302  7000303 7000304  7000305  7000306 7000307 7000308 7000309 7000310  plasticDeformation

recorder Element -file pl_def_all_cols_Loft.out -ele 6000101 6000102 6000103 6000104 6000201 6000202 6000203 6000204 6000205 6000206 6000301 6000302 6000303 6000304 6000305 6000306 6000401 6000402 6000403 6000404 6000405  plasticDeformation 

recorder Element -file pl_def_all_cols_1.out -ele  100101 100102 100103 100104 100105 100106 100107 100108 100109 100201 100202 100203 100204 100205 100206 100207 100208 100209 100210 100301 100302 100303 100304 100305 100306 100307 100308 100309 100310 100401 100402 100403 100404 100405 100406 100407 100408 100409 plasticDeformation 
recorder Element -file pl_def_all_cols_2.out -ele  200101 200102 200103 200104 200105 200106 200107 200108 200109 200201 200202 200203 200204 200205 200206 200207 200208 200209 200210 200301 200302 200303 200304 200305 200306 200307 200308 200309 200310 200401 200402 200403 200404 200405 200406 200407 200408 200409 plasticDeformation 
recorder Element -file pl_def_all_cols_3.out -ele  300101 300102 300103 300104 300105 300106 300107 300108 300109 300201 300202 300203 300204 300205 300206 300207 300208 300209 300210 300301 300302 300303 300304 300305 300306 300307 300308 300309 300310 300401 300402 300403 300404 300405 300406 300407 300408 300409 plasticDeformation 
recorder Element -file pl_def_all_cols_4.out -ele  400101 400102 400103 400104 400105 400106 400107 400108 400109 400201 400202 400203 400204 400205 400206 400207 400208 400209 400210 400301 400302 400303 400304 400305 400306 400307 400308 400309 400310 400401 400402 400403 400404 400405 400406 400407 400408 400409 plasticDeformation 
recorder Element -file pl_def_all_cols_5.out -ele  500101 500102 500103 500104 500105 500106 500107 500108 500109 500201 500202 500203 500204 500205 500206 500207 500208 500209 500210 500301 500302 500303 500304 500305 500306 500307 500308 500309 500310 500401 500402 500403 500404 500405 500406 500407 500408 500409 plasticDeformation 
recorder Element -file pl_def_all_cols_6.out -ele  600101 600102 600103 600104 600105 600106 600107 600108 600109 600201 600202 600203 600204 600205 600206 600207 600208 600209 600210 600301 600302 600303 600304 600305 600306 600307 600308 600309 600310 600401 600402 600403 600404 600405 600406 600407 600408 600409 plasticDeformation 
recorder Element -file pl_def_all_cols_7.out -ele  700101 700102 700103 700104 700105 700106 700107 700108 700109 700201 700202 700203 700204 700205 700206 700207 700208 700209 700210 700301 700302 700303 700304 700305 700306 700307 700308 700309 700310 700401 700402 700403 700404 700405 700406 700407 700408 700409 plasticDeformation 
recorder Element -file pl_def_all_cols_8.out -ele  800101 800102 800103 800104 800105 800106 800107 800108 800109 800201 800202 800203 800204 800205 800206 800207 800208 800209 800210 800301 800302 800303 800304 800305 800306 800307 800308 800309 800310 800401 800402 800403 800404 800405 800406 800407 800408 800409 plasticDeformation 
recorder Element -file pl_def_all_cols_9.out -ele  900101 900102 900103 900104 900105 900106 900107 900108 900109 900201 900202 900203 900204 900205 900206 900207 900208 900209 900210 900301 900302 900303 900304 900305 900306 900307 900308 900309 900310 900401 900402 900403 900404 900405 900406 900407 900408 900409 plasticDeformation 
recorder Element -file pl_def_all_cols_10.out -ele  1000101 1000102 1000103 1000104 1000105 1000106 1000107 1000108 1000109 1000201 1000202 1000203 1000204 1000205 1000206 1000207 1000208 1000209 1000210 1000301 1000302 1000303 1000304 1000305 1000306 1000307 1000308 1000309 1000310 1000401 1000402 1000403 1000404 1000405 1000406 1000407 1000408 1000409 plasticDeformation 
recorder Element -file pl_def_all_cols_11.out -ele  1100101 1100102 1100103 1100104 1100105 1100106 1100107 1100108 1100109 1100201 1100202 1100203 1100204 1100205 1100206 1100207 1100208 1100209 1100210 1100301 1100302 1100303 1100304 1100305 1100306 1100307 1100308 1100309 1100310 1100401 1100402 1100403 1100404 1100405 1100406 1100407 1100408 1100409 plasticDeformation 
recorder Element -file pl_def_all_cols_12.out -ele  1200101 1200102 1200103 1200104 1200105 1200106 1200107 1200108 1200109 1200201 1200202 1200203 1200204 1200205 1200206 1200207 1200208 1200209 1200210 1200301 1200302 1200303 1200304 1200305 1200306 1200307 1200308 1200309 1200310 1200401 1200402 1200403 1200404 1200405 1200406 1200407 1200408 1200409 plasticDeformation 
recorder Element -file pl_def_all_cols_13.out -ele  1300101 1300102 1300103 1300104 1300105 1300106 1300107 1300108 1300109 1300201 1300202 1300203 1300204 1300205 1300206 1300207 1300208 1300209 1300210 1300301 1300302 1300303 1300304 1300305 1300306 1300307 1300308 1300309 1300310 1300401 1300402 1300403 1300404 1300405 1300406 1300407 1300408 1300409 plasticDeformation 
recorder Element -file pl_def_all_cols_14.out -ele  1400101 1400102 1400103 1400104 1400105 1400106 1400107 1400108 1400109 1400201 1400202 1400203 1400204 1400205 1400206 1400207 1400208 1400209 1400210 1400301 1400302 1400303 1400304 1400305 1400306 1400307 1400308 1400309 1400310 1400401 1400402 1400403 1400404 1400405 1400406 1400407 1400408 1400409 plasticDeformation 
recorder Element -file pl_def_all_cols_15.out -ele  1500101 1500102 1500103 1500104 1500105 1500106 1500107 1500108 1500109 1500201 1500202 1500203 1500204 1500205 1500206 1500207 1500208 1500209 1500210 1500301 1500302 1500303 1500304 1500305 1500306 1500307 1500308 1500309 1500310 1500401 1500402 1500403 1500404 1500405 1500406 1500407 1500408 1500409 plasticDeformation 
recorder Element -file pl_def_all_cols_16.out -ele  1600101 1600102 1600103 1600104 1600105 1600106 1600107 1600108 1600109 1600201 1600202 1600203 1600204 1600205 1600206 1600207 1600208 1600209 1600210 1600301 1600302 1600303 1600304 1600305 1600306 1600307 1600308 1600309 1600310 1600401 1600402 1600403 1600404 1600405 1600406 1600407 1600408 1600409 plasticDeformation 
recorder Element -file pl_def_all_cols_17.out -ele  1700101 1700102 1700103 1700104 1700105 1700106 1700107 1700108 1700109 1700201 1700202 1700203 1700204 1700205 1700206 1700207 1700208 1700209 1700210 1700301 1700302 1700303 1700304 1700305 1700306 1700307 1700308 1700309 1700310 1700401 1700402 1700403 1700404 1700405 1700406 1700407 1700408 1700409 plasticDeformation 
recorder Element -file pl_def_all_cols_18.out -ele  1800101 1800102 1800103 1800104 1800105 1800106 1800107 1800108 1800109 1800201 1800202 1800203 1800204 1800205 1800206 1800207 1800208 1800209 1800210 1800301 1800302 1800303 1800304 1800305 1800306 1800307 1800308 1800309 1800310 1800401 1800402 1800403 1800404 1800405 1800406 1800407 1800408 1800409 plasticDeformation 
recorder Element -file pl_def_all_cols_19.out -ele  1900101 1900102 1900103 1900104 1900105 1900106 1900107 1900108 1900109 1900201 1900202 1900203 1900204 1900205 1900206 1900207 1900208 1900209 1900210 1900301 1900302 1900303 1900304 1900305 1900306 1900307 1900308 1900309 1900310 1900401 1900402 1900403 1900404 1900405 1900406 1900407 1900408 1900409 plasticDeformation 

################################################################################################  
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Plastic Deformation at Beam elements
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

recorder	Element	-file	pl_def_all_beams_1.out	-ele	1101	1102	1103	1104	1105	1106	1107	1108	1109	1110	1111	1112	1113	1114	1115	1116	1117	1118	1119	1120	1121	1122	1123	1124	1125	1126	1127	1128	1129	1130	1131	1132	1133	1134	1135	1136	1137	1138	1139	1140	1141	1142	1143	1144	1145	plasticDeformation
recorder	Element	-file	pl_def_all_beams_2.out	-ele	2101	2102	2103	2104	2105	2106	2107	2108	2109	2110	2111	2112	2113	2114	2115	2116	2117	2118	2119	2120	2121	2122	2123	2124	2125	2126	2127	2128	2129	2130	2131	2132	2133	2134	2135	2136	2137	2138	2139	2140	2141	2142	2143	2144	2145	plasticDeformation
recorder	Element	-file	pl_def_all_beams_3.out	-ele	3101	3102	3103	3104	3105	3106	3107	3108	3109	3110	3111	3112	3113	3114	3115	3116	3117	3118	3119	3120	3121	3122	3123	3124	3125	3126	3127	3128	3129	3130	3131	3132	3133	3134	3135	3136	3137	3138	3139	3140	3141	3142	3143	3144	3145	plasticDeformation
recorder	Element	-file	pl_def_all_beams_4.out	-ele	4101	4102	4103	4104	4105	4106	4107	4108	4109	4110	4111	4112	4113	4114	4115	4116	4117	4118	4119	4120	4121	4122	4123	4124	4125	4126	4127	4128	4129	4130	4131	4132	4133	4134	4135	4136	4137	4138	4139	4140	4141	4142	4143	4144	4145	plasticDeformation
recorder	Element	-file	pl_def_all_beams_5.out	-ele	5101	5102	5103	5104	5105	5106	5107	5108	5109	5110	5111	5112	5113	5114	5115	5116	5117	5118	5119	5120	5121	5122	5123	5124	5125	5126	5127	5128	5129	5130	5131	5132	5133	5134	5135	5136	5137	5138	5139	5140	5141	5142	5143	5144	5145	plasticDeformation
recorder	Element	-file	pl_def_all_beams_6.out	-ele	6101	6102	6103	6104	6105	6106	6107	6108	6109	6110	6111	6112	6113	6114	6115	6116	6117	6118	6119	6120	6121	6122	6123	6124	6125	6126	6127	6128	6129	6130	6131	6132	6133	6134	6135	6136	6137	6138	6139	6140	6141	6142	6143	6144	6145	plasticDeformation
recorder	Element	-file	pl_def_all_beams_7.out	-ele	7101	7102	7103	7104	7105	7106	7107	7108	7109	7110	7111	7112	7113	7114	7115	7116	7117	7118	7119	7120	7121	7122	7123	7124	7125	7126	7127	7128	7129	7130	7131	7132	7133	7134	7135	7136	7137	7138	7139	7140	7141	7142	7143	7144	7145	plasticDeformation
recorder	Element	-file	pl_def_all_beams_8.out	-ele	8101	8102	8103	8104	8105	8106	8107	8108	8109	8110	8111	8112	8113	8114	8115	8116	8117	8118	8119	8120	8121	8122	8123	8124	8125	8126	8127	8128	8129	8130	8131	8132	8133	8134	8135	8136	8137	8138	8139	8140	8141	8142	8143	8144	8145	plasticDeformation
recorder	Element	-file	pl_def_all_beams_9.out	-ele	9101	9102	9103	9104	9105	9106	9107	9108	9109	9110	9111	9112	9113	9114	9115	9116	9117	9118	9119	9120	9121	9122	9123	9124	9125	9126	9127	9128	9129	9130	9131	9132	9133	9134	9135	9136	9137	9138	9139	9140	9141	9142	9143	9144	9145	plasticDeformation
recorder	Element	-file	pl_def_all_beams_10.out	-ele	10101	10102	10103	10104	10105	10106	10107	10108	10109	10110	10111	10112	10113	10114	10115	10116	10117	10118	10119	10120	10121	10122	10123	10124	10125	10126	10127	10128	10129	10130	10131	10132	10133	10134	10135	10136	10137	10138	10139	10140	10141	10142	10143	10144	10145	plasticDeformation
recorder	Element	-file	pl_def_all_beams_11.out	-ele	11101	11102	11103	11104	11105	11106	11107	11108	11109	11110	11111	11112	11113	11114	11115	11116	11117	11118	11119	11120	11121	11122	11123	11124	11125	11126	11127	11128	11129	11130	11131	11132	11133	11134	11135	11136	11137	11138	11139	11140	11141	11142	11143	11144	11145	plasticDeformation
recorder	Element	-file	pl_def_all_beams_12.out	-ele	12101	12102	12103	12104	12105	12106	12107	12108	12109	12110	12111	12112	12113	12114	12115	12116	12117	12118	12119	12120	12121	12122	12123	12124	12125	12126	12127	12128	12129	12130	12131	12132	12133	12134	12135	12136	12137	12138	12139	12140	12141	12142	12143	12144	12145	plasticDeformation
recorder	Element	-file	pl_def_all_beams_13.out	-ele	13101	13102	13103	13104	13105	13106	13107	13108	13109	13110	13111	13112	13113	13114	13115	13116	13117	13118	13119	13120	13121	13122	13123	13124	13125	13126	13127	13128	13129	13130	13131	13132	13133	13134	13135	13136	13137	13138	13139	13140	13141	13142	13143	13144	13145	plasticDeformation
recorder	Element	-file	pl_def_all_beams_14.out	-ele	14101	14102	14103	14104	14105	14106	14107	14108	14109	14110	14111	14112	14113	14114	14115	14116	14117	14118	14119	14120	14121	14122	14123	14124	14125	14126	14127	14128	14129	14130	14131	14132	14133	14134	14135	14136	14137	14138	14139	14140	14141	14142	14143	14144	14145	plasticDeformation
recorder	Element	-file	pl_def_all_beams_15.out	-ele	15101	15102	15103	15104	15105	15106	15107	15108	15109	15110	15111	15112	15113	15114	15115	15116	15117	15118	15119	15120	15121	15122	15123	15124	15125	15126	15127	15128	15129	15130	15131	15132	15133	15134	15135	15136	15137	15138	15139	15140	15141	15142	15143	15144	15145	plasticDeformation
recorder	Element	-file	pl_def_all_beams_16.out	-ele	16101	16102	16103	16104	16105	16106	16107	16108	16109	16110	16111	16112	16113	16114	16115	16116	16117	16118	16119	16120	16121	16122	16123	16124	16125	16126	16127	16128	16129	16130	16131	16132	16133	16134	16135	16136	16137	16138	16139	16140	16141	16142	16143	16144	16145	plasticDeformation
recorder	Element	-file	pl_def_all_beams_17.out	-ele	17101	17102	17103	17104	17105	17106	17107	17108	17109	17110	17111	17112	17113	17114	17115	17116	17117	17118	17119	17120	17121	17122	17123	17124	17125	17126	17127	17128	17129	17130	17131	17132	17133	17134	17135	17136	17137	17138	17139	17140	17141	17142	17143	17144	17145	plasticDeformation
recorder	Element	-file	pl_def_all_beams_18.out	-ele	18101	18102	18103	18104	18105	18106	18107	18108	18109	18110	18111	18112	18113	18114	18115	18116	18117	18118	18119	18120	18121	18122	18123	18124	18125	18126	18127	18128	18129	18130	18131	18132	18133	18134	18135	18136	18137	18138	18139	18140	18141	18142	18143	18144	18145	plasticDeformation
recorder	Element	-file	pl_def_all_beams_19.out	-ele	19101	19102	19103	19104	19105	19106	19107	19108	19109	19110	19111	19112	19113	19114	19115	19116	19117	19118	19119	19120	19121	19122	19123	19124	19125	19126	19127	19128	19129	19130	19131	19132	19133	19134	19135	19136	19137	19138	19139	19140	19141	19142	19143	19144	19145	plasticDeformation

recorder	Element	-file	pl_def_all_beams_Loft.out	-ele	65101	65102	65103	65104	65105	65106	65107	65108	65109	65110	65111	65112	65113	65114	65115	65116	65117	65118	65119	plasticDeformation																										
recorder	Element	-file	pl_def_all_beams_Ground.out	-ele	50101	50102	50103	50104	50105	50106	50107	50108	50109	50110	50111	50112	50113	50114	50115	50116	50117	50118	50119	50120	50121	50122	50123	plasticDeformation																						
recorder	Element	-file	pl_def_all_beams_B1.out	-ele	51101	51102	51103	51104	51105	51106	51107	51108	51109	51110	51111	51112	51113	51114	51115	51116	51117	plasticDeformation																												
recorder	Element	-file	pl_def_all_beams_B2.out	-ele	52101	52102	52103	52104	52105	52106	52107	52108	52109	52110	52111	52112	52113	52114	52115	52116	52117	plasticDeformation																												
recorder	Element	-file	pl_def_all_beams_B3.out	-ele	53101	53102	53103	53104	53105	53106	53107	53108	53109	53110	53111	53112	53113	53114	53115	53116	53117	plasticDeformation																												
################################################################################################  

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Single Column element Output
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
recorder Element -file Col_101_Force.out -ele 100101 globalForce 
recorder Element -file deformation101B.out -time -ele 100101 section 4 deformation; # TOP
recorder Element -file deformation101T.out -time -ele 100101 section 1 deformation; # BOT
recorder Element -file plasticdef101.out -time -ele 100101 plasticDeformation

recorder Element -file Col_201_Force.out -ele 200101 globalForce 
recorder Element -file deformation201B.out -time -ele 200101 section 4 deformation; # TOP
recorder Element -file deformation201T.out -time -ele 200101 section 1 deformation; # BOT
recorder Element -file plasticdef201.out -time -ele 200101 plasticDeformation

recorder Element -file Col_301_Force.out -ele 300101 globalForce 
recorder Element -file deformation301B.out -time -ele 300101 section 4 deformation; # TOP
recorder Element -file deformation301T.out -time -ele 300101 section 1 deformation; # BOT
recorder Element -file plasticdef301.out -time -ele 300101 plasticDeformation

recorder Element -file Col_401_Force.out -ele 400101 globalForce 
recorder Element -file deformation401B.out -time -ele 400101 section 4 deformation; # TOP
recorder Element -file deformation401T.out -time -ele 400101 section 1 deformation; # BOT
recorder Element -file plasticdef401.out -time -ele 400101 plasticDeformation

recorder Element -file Col_501_Force.out -ele 500101 globalForce 
recorder Element -file deformation501B.out -time -ele 500101 section 4 deformation; # TOP
recorder Element -file deformation501T.out -time -ele 500101 section 1 deformation; # BOT
recorder Element -file plasticdef501.out -time -ele 500101 plasticDeformation

recorder Element -file Col_601_Force.out -ele 600101 globalForce 
recorder Element -file deformation601B.out -time -ele 600101 section 4 deformation; # TOP
recorder Element -file deformation601T.out -time -ele 600101 section 1 deformation; # BOT
recorder Element -file plasticdef601.out -time -ele 600101 plasticDeformation

recorder Element -file Col_701_Force.out -ele 700101 globalForce 
recorder Element -file deformation701B.out -time -ele 700101 section 4 deformation; # TOP
recorder Element -file deformation701T.out -time -ele 700101 section 1 deformation; # BOT
recorder Element -file plasticdef701.out -time -ele 700101 plasticDeformation

recorder Element -file Col_801_Force.out -ele 800101 globalForce 
recorder Element -file deformation801B.out -time -ele 800101 section 4 deformation; # TOP
recorder Element -file deformation801T.out -time -ele 800101 section 1 deformation; # BOT
recorder Element -file plasticdef801.out -time -ele 800101 plasticDeformation

recorder Element -file Col_901_Force.out -ele 900101 globalForce 
recorder Element -file deformation901B.out -time -ele 900101 section 4 deformation; # TOP
recorder Element -file deformation901T.out -time -ele 900101 section 1 deformation; # BOT
recorder Element -file plasticdef901.out -time -ele 900101 plasticDeformation

recorder Element -file Col_1001_Force.out -ele 1000101 globalForce 
recorder Element -file deformation1001B.out -time -ele 1000101 section 4 deformation; # TOP
recorder Element -file deformation1001T.out -time -ele 1000101 section 1 deformation; # BOT
recorder Element -file plasticdef1001.out -time -ele 1000101 plasticDeformation

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Single Beam element Output
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
recorder Element -file Beam_1101_Forces.out -ele 1101 globalForce 
recorder Element -file deformation1101L.out -time -ele 1101 section 1 deformation;  #LEFT
recorder Element -file deformation1101R.out -time -ele 1101 section 4 deformation;  #RIGHT
recorder Element -file plasticdef1101.out -time -ele 1101 plasticDeformation 

recorder Element -file Beam_2101_Forces.out -ele 2101 globalForce 
recorder Element -file deformation2101L.out -time -ele 2101 section 1 deformation;  #LEFT
recorder Element -file deformation2101R.out -time -ele 2101 section 4 deformation;  #RIGHT
recorder Element -file plasticdef2101.out -time -ele 2101 plasticDeformation 

recorder Element -file Beam_3101_Forces.out -ele 3101 globalForce 
recorder Element -file deformation3101L.out -time -ele 3101 section 1 deformation;  #LEFT
recorder Element -file deformation3101R.out -time -ele 3101 section 4 deformation;  #RIGHT
recorder Element -file plasticdef3101.out -time -ele 3101 plasticDeformation

recorder Element -file Beam_4101_Forces.out -ele 4101 globalForce 
recorder Element -file deformation4101L.out -time -ele 4101 section 1 deformation;  #LEFT
recorder Element -file deformation4101R.out -time -ele 4101 section 4 deformation;  #RIGHT
recorder Element -file plasticdef4101.out -time -ele 4101 plasticDeformation 

recorder Element -file Beam_5101_Forces.out -ele 5101 globalForce 
recorder Element -file deformation5101L.out -time -ele 5101 section 1 deformation;  #LEFT
recorder Element -file deformation5101R.out -time -ele 5101 section 4 deformation;  #RIGHT
recorder Element -file plasticdef5101.out -time -ele 5101 plasticDeformation 

recorder Element -file Beam_6101_Forces.out -ele 6101 globalForce 
recorder Element -file deformation6101L.out -time -ele 6101 section 1 deformation;  #LEFT
recorder Element -file deformation6101R.out -time -ele 6101 section 4 deformation;  #RIGHT
recorder Element -file plasticdef6101.out -time -ele 6101 plasticDeformation 

recorder Element -file Beam_7101_Forces.out -ele 7101 globalForce 
recorder Element -file deformation7101L.out -time -ele 7101 section 1 deformation;  #LEFT
recorder Element -file deformation7101R.out -time -ele 7101 section 4 deformation;  #RIGHT
recorder Element -file plasticdef7101.out -time -ele 7101 plasticDeformation 

recorder Element -file Beam_8101_Forces.out -ele 8101 globalForce 
recorder Element -file deformation8101L.out -time -ele 8101 section 1 deformation;  #LEFT
recorder Element -file deformation8101R.out -time -ele 8101 section 4 deformation;  #RIGHT
recorder Element -file plasticdef8101.out -time -ele 8101 plasticDeformation 

recorder Element -file Beam_9101_Forces.out -ele 9101 globalForce 
recorder Element -file deformation9101L.out -time -ele 9101 section 1 deformation;  #LEFT
recorder Element -file deformation9101R.out -time -ele 9101 section 4 deformation;  #RIGHT
recorder Element -file plasticdef9101.out -time -ele 9101 plasticDeformation 

recorder Element -file Beam_10101_Forces.out -ele 10101 globalForce 
recorder Element -file deformation10101L.out -time -ele 10101 section 1 deformation;  #LEFT
recorder Element -file deformation10101R.out -time -ele 10101 section 4 deformation;  #RIGHT
recorder Element -file plasticdef10101.out -time -ele 10101 plasticDeformation 

