#################################################################################################														
#														
#	Cross	Section	Generator											
#														
#	Writen	by:	Erol	Kalkan										
#	Last	modified:	Sept	2003										
#														
#	Objective:													
#														
#	Units:	kip-in												
#################################################################################################														

#####################################################################														
	#	proc	Wsection	{	secID	matID	d	tw	bf	tf	nfdw	nftw	nfbf	nftf}

	#	input	parameters											
	#	secID	-	section	ID	number					
	#	matID	-	material	ID	number					
	#	d	=	nominal	depth						
	#	tw	=	web	thickness						
	#	bf	=	flange	width						
	#	tf	=	flange	thickness						
	#	nfdw	=	number	of	fibers	along	web	depth		
	#	nftw	=	number	of	fibers	along	web	thickness		
	#	nfbf	=	number	of	fibers	along	flange	width		
	#	nftf	=	number	of	fibers	along	flange	thickness		

	#====================================================================================#										
	#	matID	t3	tw	t2	tf	nfdw	nftw	nfbf	nftf	#
	#====================================================================================#										

	source	wsectiona.tcl									

#			matID			  t3	  tw	  t2	  tf		nfdw	nftw	nfbf	nftf	#
#	Section	BOTBM										
	wsectiona	132		1	24.00	0.750	12.000 1.500	20	4	4	10	
												
#	Section	W14x43										
	wsectiona	11443		1	13.66	0.305	7.995	0.530		20	4	4	10	
												
#	Section	W14x61										
	wsectiona	11461		1	13.89	0.375	9.995	0.645		20	4	4	10	
												
#	Section	W14x68										
	wsectiona	11468		1	14.04	0.415	10.035	0.720	20	4	4	10	

#	Section	W14x74										
	wsectiona	11474		1	14.17	0.450	10.070	0.785	20	4	4	10	
										
#	Section	W14x82									
	wsectiona	11482		1	14.31	0.510	10.130	0.855	20	4	4	10
											
#	Section	W14x90									
	wsectiona	11490		1	14.02	0.440	14.520	0.710	20	4	4	10
											
#	Section	W14x99									
	wsectiona	11499		1	14.16	0.485	14.565	0.780	20	4	4	10
											
#	Section	W14x109									
	wsectiona	114109	1	14.32	0.525	14.605	0.860	20	4	4	10
											
#	Section	W14x120									
	wsectiona	114120	1	14.48	0.590	14.670	0.940	20	4	4	10
											
#	Section	W14x132									
	wsectiona	114132	1	14.66	0.645	14.725	1.030	20	4	4	10
											
#	Section	W14x145									
	wsectiona	114145	1	14.78	0.680	15.500	1.090	20	4	4	10
											
#	Section	W14x159									
	wsectiona	114159	1	15.00	0.745	15.600	1.190	20	4	4	10
											
#	Section	W14x176									
	wsectiona	114176	1	15.22	0.830	15.650	1.310	20	4	4	10
											
#	Section	W14x193									
	wsectiona	114193	1	15.48	0.890	15.710	1.440	20	4	4	10
											
#	Section	W14x211									
	wsectiona	114211	1	15.72	0.980	15.800	1.560	20	4	4	10
											
#	Section	W14x233									
	wsectiona	114233	1	16.04	1.070	15.890	1.720	20	4	4	10
											
#	Section	W14x257									
	wsectiona	114257	1	16.40	1.180	16.000	1.890	20	4	4	10
											
#	Section	W14x283									
	wsectiona	114283	1	16.70	1.290	16.100	2.070	20	4	4	10
											
#	Section	W14X311									
	wsectiona	114311	1	17.10	1.410	16.200	2.260	20	4	4	10
											
#	Section	W14X342									
	wsectiona	114342	1	17.54	1.540	16.360	2.470	20	4	4	10
											
#	Section	W14x370									
	wsectiona	114370	1	17.92	1.655	16.475	2.660	20	4	4	10
											
#	Section	W14x398									
	wsectiona	114398	1	18.30	1.770	16.600	2.850	20	4	4	10
											
#	Section	W14x426									
	wsectiona	114426	1	18.70	1.880	16.700	3.040	20	4	4	10
											
#	Section	W14x455									
	wsectiona	114455	1	19.02	2.015	16.835	3.210	20	4	4	10
											
#	Section	W14x500									
	wsectiona	114500	1	19.60	2.190	17.000	3.500	20	4	4	10										
											
#	Section	W14x550									
	wsectiona	114550	1	20.24	2.380	17.200	3.820	20	4	4	10
											
#	Section	W16x40									
	wsectiona	11640		1	16.01	0.305	6.995	0.505		20	4	4	10
											
#	Section	W18x46									
	wsectiona	11846		1	18.06	0.360	6.060	0.605		20	4	4	10
											
#	Section	W18x50									
	wsectiona	11850		1	17.99	0.355	7.495	0.570		20	4	4	10
											
#	Section	W18x55									
	wsectiona	11855		1	18.11	0.390	7.530	0.630		20	4	4	10
											
#	Section	W18x175									
	wsectiona	118175	1	20.04	0.890	11.375 1.590	20	4	4	10
											
#	Section	W21x50									
	wsectiona	12150		1	20.83	0.380	6.530	0.535		20	4	4	10
											
#	Section	W21x57									
	wsectiona	12157		1	21.06	0.405	6.555	0.650		20	4	4	10
											
#	Section	W21x62									
	wsectiona	12162		1	20.99	0.400	8.240	0.615		20	4	4	10
											
#	Section	W21x68									
	wsectiona	12168		1	21.13	0.430	8.270	0.685		20	4	4	10
											
#	Section	W21x73									
	wsectiona	12173		1	21.24	0.455	8.295	0.740		20	4	4	10
											
#	Section	W21x83									
	wsectiona	12183		1	21.43	0.515	8.355	0.835		20	4	4	10
											
#	Section	W21x93									
	wsectiona	12193		1	21.62	0.580	8.420	0.930		20	4	4	10
											
#	Section	W24x68									
	wsectiona	12468		1	23.73	0.415	8.965	0.585		20	4	4	10
											
#	Section	W24x76									
	wsectiona	12476		1	23.92	0.440	8.990	0.680		20	4	4	10
											
#	Section	W24x84									
	wsectiona	12484		1	24.10	0.470	9.020	0.770		20	4	4	10
											
#	Section	W24x94									
	wsectiona	12494		1	24.31	0.515	9.065	0.875		20	4	4	10
											
#	Section	W24x117									
	wsectiona	124117	1	24.26	0.550	12.800	0.850	20	4	4	10
											
#	Section	W27x84									
	wsectiona	12784		1	26.71	0.460	9.960	0.640		20	4	4	10
											
#	Section	W27x94									
	wsectiona	12794		1	26.92	0.490	9.990	0.745		20	4	4	10
											
#	Section	W27x114									
	wsectiona	127114	1	27.29	0.570	10.070	0.930	20	4	4	10
											
#	Section	W30x99									
	wsectiona	13099		1	29.65	0.520	10.450	0.670	20	4	4	10
											
#	Section	W30x108									
	wsectiona	130108	1	29.83	0.545	10.475	0.760	20	4	4	10
											
#	Section	W30x116									
	wsectiona	130116	1	30.01	0.565	10.495	0.850	20	4	4	10
											
#	Section	W30x124									
	wsectiona	130124	1	30.17	0.585	10.515	0.930	20	4	4	10
											
#	Section	W30x132									
	wsectiona	130132	1	30.31	0.615	10.545	1.000	20	4	4	10
											
#	Section	W33x118									
	wsectiona	133118	1	32.86	0.550	11.480	0.740	20	4	4	10
											
#	Section	W33x130									
	wsectiona	133130	1	33.09	0.580	11.510	0.855	20	4	4	10
											
#	Section	W33x141									
	wsectiona	133141	1	33.30	0.605	11.535	0.960	20	4	4	10
											
#	Section	W33x152									
	wsectiona	133152	1	33.49	0.635	11.565	1.055	20	4	4	10
											
#	Section	W36x150									
	wsectiona	136150	1	35.85	0.625	11.975	0.940	20	4	4	10
											
#	Section	W36x194									
	wsectiona	136194	1	36.50	0.765	12.100	1.260	20	4	4	10
											
#	Section	W36x230									
	wsectiona	136230	1	35.90	0.760	16.500	1.260	20	4	4	10
#####################################################################		
# Shear modulus of elasticity of steel
set G 11200; # in ksi

	uniaxialMaterial Elastic	32	[expr $G*30.375]
	uniaxialMaterial Elastic	1443	[expr $G*1.05]
	uniaxialMaterial Elastic	1461	[expr $G*2.20]
	uniaxialMaterial Elastic	1468	[expr $G*3.02]
	uniaxialMaterial Elastic	1474	[expr $G*3.88]
	uniaxialMaterial Elastic	1482	[expr $G*5.08]
	uniaxialMaterial Elastic	1490	[expr $G*4.06]
	uniaxialMaterial Elastic	1499	[expr $G*5.37]
	uniaxialMaterial Elastic	14109	[expr $G*7.12]	
	uniaxialMaterial Elastic	14120	[expr $G*9.37]	
	uniaxialMaterial Elastic	14132	[expr $G*12.3]	
	uniaxialMaterial Elastic	14145	[expr $G*15.2]	
	uniaxialMaterial Elastic	14159	[expr $G*19.8]	
	uniaxialMaterial Elastic	14176	[expr $G*26.5]	
	uniaxialMaterial Elastic	14193	[expr $G*34.8]	
	uniaxialMaterial Elastic	14211	[expr $G*44.6]	
	uniaxialMaterial Elastic	14233	[expr $G*59.5]	
	uniaxialMaterial Elastic	14257	[expr $G*79.1]	
	uniaxialMaterial Elastic	14283	[expr $G*104]	
	uniaxialMaterial Elastic	14311	[expr $G*136]	
	uniaxialMaterial Elastic	14342	[expr $G*178]	
	uniaxialMaterial Elastic	14370	[expr $G*222]
	uniaxialMaterial Elastic	14398	[expr $G*273]
	uniaxialMaterial Elastic	14426	[expr $G*331]
	uniaxialMaterial Elastic	14455	[expr $G*395]
	uniaxialMaterial Elastic	14500	[expr $G*514]
	uniaxialMaterial Elastic	14550	[expr $G*670]

	uniaxialMaterial Elastic	1640	[expr $G*0.79]
	uniaxialMaterial Elastic	1846	[expr $G*1.22]
	uniaxialMaterial Elastic	1850	[expr $G*1.24]
	uniaxialMaterial Elastic	1855	[expr $G*1.66]
	uniaxialMaterial Elastic	18175	[expr $G*33.8]
	uniaxialMaterial Elastic	2150	[expr $G*1.14]
	uniaxialMaterial Elastic	2157	[expr $G*1.77]
	uniaxialMaterial Elastic	2162	[expr $G*1.83]
	uniaxialMaterial Elastic	2168	[expr $G*2.45]
	uniaxialMaterial Elastic	2173	[expr $G*3.02]
	uniaxialMaterial Elastic	2183	[expr $G*4.34]
	uniaxialMaterial Elastic	2193	[expr $G*6.03]
	uniaxialMaterial Elastic	2468	[expr $G*1.87]
	uniaxialMaterial Elastic	2476	[expr $G*2.68]
	uniaxialMaterial Elastic	2484	[expr $G*3.7]
	uniaxialMaterial Elastic	2494	[expr $G*5.26]
	uniaxialMaterial Elastic	24117	[expr $G*6.72]
	uniaxialMaterial Elastic	2784	[expr $G*2.81]
	uniaxialMaterial Elastic	2794	[expr $G*4.03]
	uniaxialMaterial Elastic	27114	[expr $G*7.33]
	uniaxialMaterial Elastic	3099	[expr $G*3.77]
	uniaxialMaterial Elastic	30108	[expr $G*4.99]
	uniaxialMaterial Elastic	30116	[expr $G*6.43]
	uniaxialMaterial Elastic	30124	[expr $G*7.99]
	uniaxialMaterial Elastic	30132	[expr $G*9.72]
	uniaxialMaterial Elastic	33118	[expr $G*5.3]
	uniaxialMaterial Elastic	33130	[expr $G*7.37]
	uniaxialMaterial Elastic	33141	[expr $G*9.7]
	uniaxialMaterial Elastic	33152	[expr $G*12.4]
	uniaxialMaterial Elastic	36150	[expr $G*10.1]
	uniaxialMaterial Elastic	36194	[expr $G*22.2]
	uniaxialMaterial Elastic	36230	[expr $G*28.6]


	#			   New sec  matTag         pre-sect-tag
	section Aggregator	32	32	T	-section 132
	section Aggregator	1443	1443	T	-section 11443
	section Aggregator	1461	1461	T	-section 11461
	section Aggregator	1468	1468	T	-section 11468
	section Aggregator	1474  1474	T	-section 11474
	section Aggregator	1482	1482	T	-section 11482
	section Aggregator	1490  1490	T	-section 11490
	section Aggregator	1499  1499	T	-section 11499
	section Aggregator	14109	14109	T	-section 114109
	section Aggregator	14120 14120	T	-section 114120
	section Aggregator	14132	14132	T	-section 114132
	section Aggregator	14145	14145	T	-section 114145
	section Aggregator	14159	14159	T	-section 114159
	section Aggregator	14176	14176	T	-section 114176
	section Aggregator	14193	14193	T	-section 114193
	section Aggregator	14211	14211	T	-section 114211
	section Aggregator	14233	14233	T	-section 114233
	section Aggregator	14257	14257	T	-section 114257
	section Aggregator	14283	14283	T	-section 114283
	section Aggregator	14311	14311	T	-section 114311
	section Aggregator	14342	14342	T	-section 114342
	section Aggregator	14370	14370	T	-section 114370
	section Aggregator	14398	14398	T	-section 114398
	section Aggregator	14426	14426	T	-section 114426
	section Aggregator	14455	14455	T	-section 114455
	section Aggregator	14500	14500	T	-section 114500
	section Aggregator	14550	14550	T	-section 114550
	section Aggregator	1640	1640	T	-section 11640
	section Aggregator	1846	1846	T	-section 11846
	section Aggregator	1850	1850	T	-section 11850
	section Aggregator	1855	1855	T	-section 11855
	section Aggregator	18175	18175	T	-section 118175
	section Aggregator	2150	2150	T	-section 12150
	section Aggregator	2157	2157	T	-section 12157
	section Aggregator	2162	2162	T	-section 12162
	section Aggregator	2168	2168	T	-section 12168
	section Aggregator	2173	2173	T	-section 12173
	section Aggregator	2183	2183	T	-section 12183
	section Aggregator	2193	2193	T	-section 12193
	section Aggregator	2468	2468	T	-section 12468
	section Aggregator	2476	2476	T	-section 12476
	section Aggregator	2484	2484	T	-section 12484
	section Aggregator	2494	2494	T	-section 12494
	section Aggregator	24117	24117	T	-section 124117
	section Aggregator	2784	2784	T	-section 12784
	section Aggregator	2794	2794	T	-section 12794
	section Aggregator	27114	27114	T	-section 127114
	section Aggregator	3099	3099	T	-section 13099
	section Aggregator	30108	30108	T	-section 130108
	section Aggregator	30116	30116	T	-section 130116
	section Aggregator	30124	30124	T	-section 130124
	section Aggregator	30132	30132	T	-section 130132
	section Aggregator	33118	33118	T	-section 133118
	section Aggregator	33130	33130	T	-section 133130
	section Aggregator	33141	33141	T	-section 133141
	section Aggregator	33152	33152	T	-section 133152
	section Aggregator	36150	36150	T	-section 136150
	section Aggregator	36194	36194	T	-section 136194
	section Aggregator	36230	36230	T	-section 136230

#####################################################################		
									
puts	"Finished creating W sections..."										
