# Mass lumped at master node EW Direction
set amp 1.2; #1.1

set m1 [expr $amp*4.7276]
set m2 [expr $amp*4.2262]
set m3 [expr $amp*4.2262]
set m4 [expr $amp*4.2262]
set m5 [expr $amp*3.8948]
set m6 [expr $amp*3.8948]
set m7 [expr $amp*3.8948]
set m8 [expr $amp*3.8948]
set m9 [expr $amp*3.8948]
set m10 [expr $amp*3.8948]
set m11 [expr $amp*3.8948]
set m12 [expr $amp*3.8948]
set m13 [expr $amp*3.8948]
set m14 [expr $amp*3.8948]
set m15 [expr $amp*3.8948]
set m16 [expr $amp*3.8948]
set m17 [expr $amp*3.8948]
set m18 [expr $amp*3.8948]
set m19 [expr $amp*4.5208]

set m20 [expr $amp*2.02]; # LOFT
set m21 [expr $amp*3.20]; # -1
set m22 [expr $amp*2.08]; # -2
set m23 [expr $amp*2.08]; # -3
set m24 [expr $amp*2.08]; # -4

# Mass lumped at master node NS Direction
set ampNS 1.05 ;#1.0

set m1NS [expr $ampNS*4.7276]
set m2NS [expr $ampNS*4.2262]
set m3NS [expr $ampNS*4.2262]
set m4NS [expr $ampNS*4.2262]
set m5NS [expr $ampNS*3.8948]
set m6NS [expr $ampNS*3.8948]
set m7NS [expr $ampNS*3.8948]
set m8NS [expr $ampNS*3.8948]
set m9NS [expr $ampNS*3.8948]
set m10NS [expr $ampNS*3.8948]
set m11NS [expr $ampNS*3.8948]
set m12NS [expr $ampNS*3.8948]
set m13NS [expr $ampNS*3.8948]
set m14NS [expr $ampNS*3.8948]
set m15NS [expr $ampNS*3.8948]
set m16NS [expr $ampNS*3.8948]
set m17NS [expr $ampNS*3.8948]
set m18NS [expr $ampNS*3.8948]
set m19NS [expr $ampNS*4.5208]

set m20NS [expr $ampNS*2.02]; # LOFT
set m21NS [expr $ampNS*3.20]; # -1
set m22NS [expr $ampNS*2.08]; # -2
set m23NS [expr $ampNS*2.08]; # -3
set m24NS [expr $ampNS*2.08]; # -4

# Plan dimension of floors

set bx 2880
set by 1320

set bxloft 1660

set bxbase 2160
set bybase  360

#####################################################################
# Rotary inertia of floor about master node

set i1 [expr $m1*($bx^2+$by^2)/12.0]
set i2 [expr $m2*($bx^2+$by^2)/12.0]
set i3 [expr $m3*($bx^2+$by^2)/12.0]
set i4 [expr $m4*($bx^2+$by^2)/12.0]
set i5 [expr $m5*($bx^2+$by^2)/12.0]
set i6 [expr $m6*($bx^2+$by^2)/12.0]
set i7 [expr $m7*($bx^2+$by^2)/12.0]
set i8 [expr $m8*($bx^2+$by^2)/12.0]
set i9 [expr $m9*($bx^2+$by^2)/12.0]
set i10 [expr $m10*($bx^2+$by^2)/12.0]
set i11 [expr $m11*($bx^2+$by^2)/12.0]
set i12 [expr $m12*($bx^2+$by^2)/12.0]
set i13 [expr $m13*($bx^2+$by^2)/12.0]
set i14 [expr $m14*($bx^2+$by^2)/12.0]
set i15 [expr $m15*($bx^2+$by^2)/12.0]
set i16 [expr $m16*($bx^2+$by^2)/12.0]
set i17 [expr $m17*($bx^2+$by^2)/12.0]
set i18 [expr $m18*($bx^2+$by^2)/12.0]
set i19 [expr $m19*($bx^2+$by^2)/12.0]

set i20 [expr $m20*($bxloft^2+$by^2)/12.0]
set i21 [expr $m21*($bx^2+$bybase^2)/12.0]
set i22 [expr $m22*($bxbase^2+$bybase^2)/12.0]
set i23 [expr $m23*($bxbase^2+$bybase^2)/12.0]
set i24 [expr $m24*($bxbase^2+$bybase^2)/12.0]

#####################################################################
# Master nodes for rigid diaphragm
node	150	0	  0	   0 -mass  $m1  $m1NS 0 0 0  $i1; # MASTER JOINT
node	250	0	  0    160 -mass  $m2  $m2NS 0 0 0  $i2; # MASTER JOINT
node	350	0	  0    320 -mass  $m3  $m3NS 0 0 0  $i3; # MASTER JOINT
node	450	0	  0    480 -mass  $m4  $m4NS 0 0 0  $i4; # MASTER JOINT
node	550	0	  0    640 -mass  $m5  $m5NS 0 0 0  $i5; # MASTER JOINT
node	650	0	  0    800 -mass  $m6  $m6NS 0 0 0  $i6; # MASTER JOINT
node	750	0	  0    960 -mass  $m7  $m7NS 0 0 0  $i7; # MASTER JOINT
node	850	0	  0   1120 -mass  $m8  $m8NS 0 0 0  $i8; # MASTER JOINT
node	950	0	  0   1280 -mass  $m9  $m9NS 0 0 0  $i9; # MASTER JOINT
node	1050	0	  0   1440 -mass $m10 $m10NS 0 0 0 $i10; # MASTER JOINT
node	1150	0	  0   1600 -mass $m11 $m11NS 0 0 0 $i11; # MASTER JOINT
node	1250	0	  0   1760 -mass $m12 $m12NS 0 0 0 $i12; # MASTER JOINT
node	1350	0	  0   1920 -mass $m13 $m13NS 0 0 0 $i13; # MASTER JOINT
node	1450	0	  0   2080 -mass $m14 $m14NS 0 0 0 $i14; # MASTER JOINT
node	1550	0	  0   2240 -mass $m15 $m15NS 0 0 0 $i15; # MASTER JOINT
node	1650	0	  0   2400 -mass $m16 $m16NS 0 0 0 $i16; # MASTER JOINT
node	1750	0	  0   2560 -mass $m17 $m17NS 0 0 0 $i17; # MASTER JOINT
node	1850	0	  0   2720 -mass $m18 $m18NS 0 0 0 $i18; # MASTER JOINT
node	1950	0	  0   2880 -mass $m19 $m19NS 0 0 0 $i19; # MASTER JOINT
node	2050	0	  0   -144 -mass $m20 $m20NS 0 0 0 $i20; # MASTER JOINT

print node.log node